root/gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/CUPS.sh @ 28828

Revision 28828, 1.2 KB (checked in by ak19, 6 years ago)

CUPS.sh needs disable-gssapi in order to compile CUPS on Mac Maverick (Darwin v13).

  • Property svn:executable set to *
Line 
1#!/bin/bash
2
3# glib2.28.1 was modified for Greenstone to allow compilation to succed on a Mac, so it has acquired a 'gs-' prefix
4package=cups
5version=-1.6.3
6
7progname=$0
8
9
10source ../cascade-make/lib/cascade-lib.bash GEXTGNOME ../.. $*
11
12prefix=$GEXTGNOME_INSTALLED
13
14export CFLAGS="$CFLAGS -I$GEXTGNOME_INSTALLED/include"
15export CPPFLAGS="$CPPFLAGS -I$GEXTGNOME_INSTALLED/include"
16export CXXFLAGS="$CXXFLAGS -I$GEXTGNOME_INSTALLED/include"
17export LDFLAGS="$LDFLAGS -L$GEXTGNOME_INSTALLED/lib"
18
19opt_config_args=
20this_os=`uname`
21osversion=`uname -r | sed 's/\..*$//'`;
22if [ "x$this_os" = "xDarwin" -a $osversion -ge 13 ] ; then
23    opt_config_args=--disable-gssapi
24fi
25
26opt_run_untar $force_untar $auto_untar $package $version ".tar.bz2"
27
28opt_run_configure $force_config $auto_config $package $version $prefix \
29  --disable-launchd --datarootdir=$GEXTGNOME_INSTALLED/etc --with-bundledir=$GEXTGNOME_INSTALLED/etc --with-rcdir=$GEXTGNOME_INSTALLED/etc $opt_config_args
30
31opt_run_make $compile $package $version
32opt_run_make $install $package $version "install"
33opt_run_make $clean $package $version "clean"
34opt_run_make $distclean $package $version "distclean"
35
36opt_run_tarclean $tarclean $package $version
Note: See TracBrowser for help on using the browser.